Plack::TempBuffer(3)

NAME
Plack::TempBuffer - temporary buffer to save bytes

SYNOPSIS
  my $buf = Plack::TempBuffer->new($length);
  $buf->print($bytes);

  my $size = $buf->size;
  my $fh   = $buf->rewind;

DESCRIPTION
Plack::TempBuffer is a buffer class to store arbitrary length of byte strings and then get a seekable filehandle once everything is buffered. It uses PerlIO and/or temporary file to save the buffer depending on the length of the size.

SEE ALSO
Plack Plack::Request